package com.cnooc.expert.service;

import com.cnooc.expert.external.file.model.response.DownLoadInfoApiResp;
import com.google.common.collect.Lists;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@AllArgsConstructor
@Service
public class FileMockService {

    public List<DownLoadInfoApiResp> putObject(MultipartFile file, Integer fileType) {
        return Lists.newArrayList(
                DownLoadInfoApiResp.builder()
                        .fileName("新建 PPT 演示文稿.pdf")
                        .downLoadUrl("https://purb.m-bid.cnooc.com.cn/bid-mimic-cggl/892422091105296385/2/2025/9/22/1419732467212898305/%E6%96%B0%E5%BB%BA%20PPT%20%E6%BC%94%E7%A4%BA%E6%96%87%E7%A8%BF.pdf?response-content-disposition=attachment%3Bfilename%3D%25E6%2596%25B0%25E5%25BB%25BA%2BPPT%2B%25E6%25BC%2594%25E7%25A4%25BA%25E6%2596%2587%25E7%25A8%25BF.pdf&AWSAccessKeyId=5T0WWU7JAUDUXJ2EG1FB&Expires=1763091567&Signature=JAo0KSspEbWreyxgc306%2FjmcI8E%3D")
                        .directDownLoadUrl("https://purb.m-bid.cnooc.com.cn/bid-mimic-cggl/892422091105296385/2/2025/9/22/1419732467212898305/%E6%96%B0%E5%BB%BA%20PPT%20%E6%BC%94%E7%A4%BA%E6%96%87%E7%A8%BF.pdf?response-content-disposition=attachment%3Bfilename%3D%25E6%2596%25B0%25E5%25BB%25BA%2BPPT%2B%25E6%25BC%2594%25E7%25A4%25BA%25E6%2596%2587%25E7%25A8%25BF.pdf&AWSAccessKeyId=5T0WWU7JAUDUXJ2EG1FB&Expires=1763091567&Signature=JAo0KSspEbWreyxgc306%2FjmcI8E%3D")
                        .createTime(1758532197592L)
                        .fileSize(1128L)
                        .build()
        );
    }

    public List<DownLoadInfoApiResp> downloadInfo(String pathId) {
        return Lists.newArrayList(
                DownLoadInfoApiResp.builder()
                        .fileName("新建 PPT 演示文稿.pdf")
                        .downLoadUrl("https://purb.m-bid.cnooc.com.cn/bid-mimic-cggl/892422091105296385/2/2025/9/22/1419732467212898305/%E6%96%B0%E5%BB%BA%20PPT%20%E6%BC%94%E7%A4%BA%E6%96%87%E7%A8%BF.pdf?response-content-disposition=attachment%3Bfilename%3D%25E6%2596%25B0%25E5%25BB%25BA%2BPPT%2B%25E6%25BC%2594%25E7%25A4%25BA%25E6%2596%2587%25E7%25A8%25BF.pdf&AWSAccessKeyId=5T0WWU7JAUDUXJ2EG1FB&Expires=1763091567&Signature=JAo0KSspEbWreyxgc306%2FjmcI8E%3D")
                        .directDownLoadUrl("https://purb.m-bid.cnooc.com.cn/bid-mimic-cggl/892422091105296385/2/2025/9/22/1419732467212898305/%E6%96%B0%E5%BB%BA%20PPT%20%E6%BC%94%E7%A4%BA%E6%96%87%E7%A8%BF.pdf?response-content-disposition=attachment%3Bfilename%3D%25E6%2596%25B0%25E5%25BB%25BA%2BPPT%2B%25E6%25BC%2594%25E7%25A4%25BA%25E6%2596%2587%25E7%25A8%25BF.pdf&AWSAccessKeyId=5T0WWU7JAUDUXJ2EG1FB&Expires=1763091567&Signature=JAo0KSspEbWreyxgc306%2FjmcI8E%3D")
                        .createTime(1758532197592L)
                        .fileSize(1128L)
                        .build()
        );
    }

}
